Subject: Re: [IPFIX] WG LC for IPFIX structured data

From: Benoit Claise <[email-masked]>
Date: Wed, 18 Aug 2010 13:46:35 +0200

Gerhard, Rahul,
> Benoit,
>
> Benoit Claise wrote:
>    
>> Rahul,
>>
>> Thank you very much for your review.
>> See my replies in line.
>>      
> [...]
>
>    
>>> Comment #3
>>>
>>> ==========
>>>
>>> Page 46
>>>
>>>
>>>
>>>
>>>
>>> Rahul# In the same example (above), instead of 'allof" if "ordered" is
>>>
>>> used then does it imply that there is order in template 264 (line card A,
>>>
>>> line card B) even though it is just a regular template?
>>>
>>>        
>> Yes.
>>      
> I'm confused. As far as I understand the current semantic (see my
> review), linecard A and B would not be ordered. The order would only
> concern the relationship between groups of Data Records belonging to
> different Templates, i.e.
>     ingressInterface 1<=>  {linecards A and B}<=>  linecard C
>
>
>    
Now that I actually reworked the example (added the router 
exporterIPv4Address ), I have to admit that you are correct.
In the following example...

PSAMP SSRI (262)

| (SelectionSequenceId)

|

+--- Observation Point 1 (263)

| (exporterIPv4Address)

| (Interface Id)

|

+--- Observation Point 2 and 3 (264)

| (exporterIPv4Address)

| (line card)

|

+--- Observation Point 4 (265)

| (exporterIPv4Address)

| (line card)

| (Interface Id)

|

Selection Sequence 7 (Filter->Sampling):
observation point: subTemplateMultiList.
         Router 1 (IP address=1.1.1.1), (interface 1)
         Router 2 (IP address=2.2.2.2), (line card A)

Router 3 (IP address=3.3.3.3), (line card B)
         Router 4 (IP address =4.4.4.4)(line card C, interface 2)
selectorId: 5 (Filter, match IPV4SourceAddress 192.0.2.1)
selectorId: 10 (Sampler, Random 1 out-of ten)

... the "allof" or "ordered" or any other semantic expresses the 
relationship between the OP1, (OP2 and OP3), OP4, so the relationship 
between groups of Data Records belonging to different Templates.

Regards, Benoit